package game

import (
	"server/game/mod/base"
	"server/game/mod/card"
	"server/game/mod/charge"
	"server/game/mod/chess"
	"server/game/mod/decorate"
	"server/game/mod/endless"
	limitedTimeEvent "server/game/mod/limited_time_event"
	"server/game/mod/mail"
	"server/game/mod/order"
	"server/game/mod/playroom"
	sevenLogin "server/game/mod/seven_login"
)

func (p *Player) GetChessMod() *chess.ChessBorad {
	return p.PlayMod.getChessMod()
}

func (p *Player) GetDecorateMod() *decorate.Decorate {
	return p.PlayMod.getDecorateMod()
}

func (p *Player) GetLimitEventMod() *limitedTimeEvent.LimitedTimeEventMod {
	return p.PlayMod.getLimitedTimeEventMod()
}

func (p *Player) GetCardMod() *card.CardMod {
	return p.PlayMod.getCardMod()
}

func (p *Player) GetPlayroomMod() *playroom.PlayroomMod {
	return p.PlayMod.getPlayroomMod()
}

func (p *Player) GetEndlessMod() *endless.EndlessMod {
	return p.PlayMod.getEndlessMod()
}

func (p *Player) GetBaseMod() *base.Base {
	return p.PlayMod.getBaseMod()
}

func (p *Player) GetChargeMod() *charge.ChargeMod {
	return p.PlayMod.getChargeMod()
}

func (p *Player) GetMailMod() *mail.MailMod {
	return p.PlayMod.getMailMod()
}

func (p *Player) GetSevenLoginMod() *sevenLogin.SevenLoginMod {
	return p.PlayMod.getSevenLoginMod()
}

func (p *Player) GetOrderMod() *order.OrderMod {
	return p.PlayMod.getOrderMod()
}
